package com.cf.imes.module.report.enums;


import com.cf.imes.framework.common.exception.ErrorCode;

/**
 * Report 错误码枚举类
 * <p>
 * report 系统，使用 1-004-000-000 段
 */
public final class ErrorCodeConstants {

    // ========== UREPORT template模块 1-003-001-000 ==========
    public static final ErrorCode TEMPLATE_NOT_EXISTS = new ErrorCode(1_004_001_001, "report.template.not_exists");
    public static final ErrorCode TEMPLATE_BUILDIN_OPERATION_PERMISSION_ERROR = new ErrorCode(1_004_001_002, "report.template.buildin_operation_permission_error");
    public static final ErrorCode TEMPLATE_NAME_UNIQE_ERROR = new ErrorCode(1_004_001_003, "report.template.name_uniqe_error");
    public static final ErrorCode TEMPLATE_PREIVEW_QUERYPARAM_EMPTY = new ErrorCode(1_004_001_004, "report.template.preview_queryparam_empty");
    public static final ErrorCode TEMPLATE_IMPORT_CONTENT_EMPTY_ERROR = new ErrorCode(1_004_001_005, "report.template.import_content_empty_error");
    public static final ErrorCode TEMPLATE_PREVIEW_TEMPLATE_CONTENT_EMPTY_ERROR = new ErrorCode(1_004_001_006, "report.template.preview_template_content_empty_error");
    public static final ErrorCode TEMPLATE_IMPORT_EXCEL_FILE_NOT_SUPPORT_ERROR = new ErrorCode(1_004_001_007, "report.template.import.excel.file.not.support");
    public static final ErrorCode TEMPLATE_PREVIEW_PRINT_ERROR = new ErrorCode(1_004_001_008, "report.template.preview.print_error");
    public static final ErrorCode TEMPLATE_PREVIEW_DOWNLOAD_ERROR = new ErrorCode(1_004_001_009, "report.template.preview.download_error");
    public static final ErrorCode TEMPLATE_EXPORT_ERROR = new ErrorCode(1_004_001_010, "report.template.export_error");
    public static final ErrorCode TEMPLATE_IMPORT_ERROR = new ErrorCode(1_004_001_011, "report.template.import_error");

    // ========== UREPORT datasource模块 1-003-002-000 ==========
    public static final ErrorCode DATASOURCE_NOT_EXISTS = new ErrorCode(1_004_002_001, "report.datasource.not_exists");
    public static final ErrorCode DATASOURCE_CONNECT_FAIL = new ErrorCode(1_004_002_002, "report.datasource.connect_fail");
    public static final ErrorCode DATASOURCE_SPRINGBEAN_GET_FAIL = new ErrorCode(1_004_002_003, "report.datasource.springbean_get_fail");
    public static final ErrorCode DATASOURCE_SPRINGBEAN_METHODS_GET_FAIL = new ErrorCode(1_004_002_004, "report.datasource.springbean_methods_get_fail");
    public static final ErrorCode DATASOURCE_BUILDIN_OPERATION_PERMISSION_ERROR = new ErrorCode(1_004_002_005, "report.datasource.buildin_operation_permission_error");

    // ========== UREPORT dataset模块 1-003-003-000 ==========
    public static final ErrorCode DATASET_NOT_EXISTS = new ErrorCode(1_004_003_001, "report.dataset.not_exists");
    public static final ErrorCode DATASET_SQL_INJECTION_RISK = new ErrorCode(1_004_003_002, "report.dataset.sql_injection_risk");
    public static final ErrorCode DATASET_SQL_REQUIRED = new ErrorCode(1_004_003_003, "report.dataset.sql_required");
    public static final ErrorCode DATASET_GET_FIELDS_ERROR = new ErrorCode(1_004_003_004, "report.dataset.get_fields_error");
}
